ru.bitel.oss.systems.inventory.product.server.bean

## Class ProductPeriodDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<ProductPeriod>
    - - ru.bitel.oss.systems.inventory.product.server.bean.ProductPeriodDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ProductPeriodDao
      extends ru.bitel.common.dao.AbstractIdDao<ProductPeriod>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, logger, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductPeriodDao(java.sql.Connection con, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteByProductId(int contractId, int id)`
    `protected ProductPeriod` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<ProductPeriod>` | `list(int contractId, int productId)`
    `java.util.List<ProductPeriod>` | `list(int moduleId, int contractId, int accountId, boolean kernel, java.util.Date time)`
    `java.util.List<ProductPeriod>` | `list(int moduleId, int contractId, int accountId, boolean kernel, java.util.Date timeFrom, java.util.Date timeTo, boolean needNonActive)`
    `void` | `recycle()`
    `void` | `update(ProductPeriod b)` Для обновления вызывать этот метод.
    `int` | `updateFlag(int id, int flag)`
    `protected void` | `updateImpl(ProductPeriod productPeriod)` Этот метод каждый реализует сам со своей логикой.
    `int` | `updatePeriod(int id, java.util.Date time, java.util.Date prolongationTime)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, setStatementParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductPeriodDao

          public ProductPeriodDao(java.sql.Connection con,
                                  int userId)

  - ### Method Detail

    - #### getFromRS

          protected ProductPeriod getFromRS(java.sql.ResultSet rs)
                                     throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
      Throws:
        `java.sql.SQLException`

    - #### update

          public void update(ProductPeriod b)
                      throws ru.bitel.bgbilling.common.BGException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Для обновления вызывать этот метод.
      Он в свою очередь вызавет updateImpl у конкретного наследника.
      Overrides:
        `update` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(ProductPeriod productPeriod)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Этот метод каждый реализует сам со своей логикой.
      Для обновления вызывать update.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
      Parameters:
        `productPeriod` - экземпляр модели
      Throws:
        `ru.bitel.bgbilling.common.BGException` - ошибки
        `java.sql.SQLException` - ошибки

    - #### updateFlag

          public int updateFlag(int id,
                                int flag)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updatePeriod

          public int updatePeriod(int id,
                                  java.util.Date time,
                                  java.util.Date prolongationTime)
                           throws java.sql.SQLException

      Parameters:
        `id` -
        `flag` -
      Returns:
      Throws:
        `java.sql.SQLException`
      See Also:
        `ProductPeriod}`

    - #### list

          public java.util.List<ProductPeriod> list(int moduleId,
                                                    int contractId,
                                                    int accountId,
                                                    boolean kernel,
                                                    java.util.Date time)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ProductPeriod> list(int moduleId,
                                                    int contractId,
                                                    int accountId,
                                                    boolean kernel,
                                                    java.util.Date timeFrom,
                                                    java.util.Date timeTo,
                                                    boolean needNonActive)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteByProductId

          public int deleteByProductId(int contractId,
                                       int id)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<ProductPeriod> list(int contractId,
                                                    int productId)
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### recycle

          public void recycle()
                       throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `recycle` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`